Subject: onlinedeadline prevents checksum from running

From: John Goerzen <[email-masked]>
Date: Sun, 09 May 2021 21:22:23 -0500

Hi Sergey,

Three bug reports in one weekend.  Sorry about that :-)

So I have a situation where I was receiving a 250GB packet.  I'm 
not quite sure why it got interrupted -- it seems maybe a locking 
issue with nncp-toss -- but anyhow, it did.  I was running 
nncp-call -onlinedeadline 10 in a loop (making sure to download 
all the packets from the remote).  I noticed it wasn't progressing 
-- getting about 2GB in and then hanging.  Why was that?

It was the -onlinedeadline 10.  Got rid of that and then it 
progressed like it should.

I think there needs to be logic that the checksumming of a 
completed packet doesn't get interrupted by the onlinedeadline, 
since it could take significantly longer than one might tend to 
set the onlinedeadline for.

Thanks!

- John